OMSA login does not work with CentOS 5.2 x64

Tanel tanel at virtuaal.com
Tue Feb 17 02:42:59 CST 2009


The problem was fixed by copying "pam_hulk.so" file from 32bit system to 
the x64 system, where x64 version was not working and there was no 32bit 
version.

Thanks!


-- 
With regards,
Tanel

Bryan wrote:
> Either selinux is blocking access to the login or your system is missing 
> dependencies.  The problem is in the error:  error: 
> /lib/security/pam_hulk.so: cannot open
> shared object file: No such file or directory]
> 
> Assuming you're running RHEL 5, you can use something like yum 
> whatprovides pam_hulk.so to locate the missing package.
> 
> On Mon, Feb 16, 2009 at 7:15 PM, Tanel Kaldoja <tanel at virtuaal.com 
> <mailto:tanel at virtuaal.com>> wrote:
> 
>     Hi,
> 
>     OMSA 5.5 does not seem to work - after correct user and password (root)
>     login says "Login failed....".
> 
>      From "/var/log/secure" log:
> 
>     dsm_om_connsvc32d: PAM unable to dlopen(/lib/security/pam_hulk.so)
>     dsm_om_connsvc32d: PAM [error: /lib/security/pam_hulk.so: cannot open
>     shared object file: No such file or directory]
>     dsm_om_connsvc32d: PAM adding faulty module: /lib/security/pam_hulk.so
>     dsm_om_connsvc32d: pam_unix(omauth:auth): authentication failure;
>     logname= uid=0 euid=0 tty= ruser= rhost=  user=root
> 
>     OMSA 5.5 does seem to work with 32bit systems (CentOS 5.2) but not on
>     any x64 ones (Dell PowerEdge 2950 and R300)! The previos OMSA versions
>     kinda worked on x64 systems...
> 
>     Can anyone suggest anything?
> 
> 
>     --
>     With regards,
>     Tanel
> 
>     _______________________________________________
>     Linux-PowerEdge mailing list
>     Linux-PowerEdge at dell.com <mailto:Linux-PowerEdge at dell.com>
>     http://lists.us.dell.com/mailman/listinfo/linux-poweredge
>     Please read the FAQ at http://lists.us.dell.com/faq
> 
> 



More information about the Linux-PowerEdge mailing list